module Types.FunctionIO
  ( FunctionIO(..)
  ) where

import Language.Haskell.TH.Syntax (Lift)

data FunctionIO = ListDirectory
                | IsDirectory
                | ReadTextFile
                | ConvertImage
                | SaveTextFile
                | CopyFile
                | MakeDir
                | RunPandoc
  deriving (Show, Lift)
